> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rigbox.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Throttle Binding

> Get the throttle profile bound to a resource.



## OpenAPI

````yaml GET /api/v1/access-control/throttle-binding
openapi: 3.1.0
info:
  title: Rigbox Public API
  description: >-
    Gateway-owned public API for Rigbox. The gateway composes its local
    lifecycle API with service-owned exported specs.
  contact:
    name: Rigbox
    url: https://rigbox.dev
  license:
    name: ''
  version: 1.0.0
servers:
  - url: https://api.rigbox.dev
    description: Production gateway
security: []
tags:
  - name: Workspaces
  - name: CLI
  - name: Observability
  - name: Auth
  - name: API Keys
  - name: Access Control
  - name: Apps
  - name: App Catalog
  - name: Logs
  - name: AI
  - name: Tools
  - name: Snapshots
  - name: SSH Keys
  - name: Templates
  - name: Setup Scripts
  - name: Service Specs
  - name: Deploy
  - name: Community
  - name: User Settings
  - name: Roadmap
  - name: System
paths:
  /api/v1/access-control/throttle-binding:
    get:
      tags:
        - Access Control
      summary: Get a resource's throttle binding.
      description: Get the throttle (rate-limit) preset bound to a resource.
      operationId: get_throttle_binding
      parameters:
        - name: resource
          in: query
          description: Canonical resource ref
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Throttle binding
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ThrottleBindingResponse'
      security:
        - bearer: []
components:
  schemas:
    ThrottleBindingResponse:
      type: object
      required:
        - resource
      properties:
        profile:
          type:
            - string
            - 'null'
        resource:
          type: string
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````